#!/bin/bash

MODE=0

TTYDEV=$1
DEBUG=$2

usage()
{
    echo "Usage: $0 [device] <debug>" >&2
    exit 1
}
 
if [ "$TTYDEV" = "" ]; then
    usage
fi

if [ "$DEBUG" = "debug" ]; then
    DEBUG="-vs"
else
    DEBUG="-v"
fi

#chmod 660 /dev/$TTYDEV #TODO

if [ $MODE -eq 0 ]; then
    chat $DEBUG '' '+++ATH0' < /dev/$TTYDEV > /dev/$TTYDEV
else
    chat $DEBUG '' '\d+\d+\d+ATH0' < /dev/$TTYDEV > /dev/$TTYDEV
fi

exit $?
